@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
xip_cache.h File Reference
`#include "pico.h"`
`#include "hardware/regs/addressmap.h"`
Include dependency graph for xip_cache.h:

Go to the source code of this file.

## Macros

#define | PARAM_ASSERTIONS_ENABLED_HARDWARE_XIP_CACHE 0
#define | XIP_CACHE_LINE_SIZE _u(8)
#define | XIP_CACHE_SIZE (_u(16) * _u(1024))
#define | XIP_CACHE_ADDRESS_SPACE_SIZE (_u(16) * _u(1024) * _u(1024))
#define | XIP_CACHE_IS_READ_ONLY 1

## Functions

void | xip_cache_invalidate_all (void)
| Invalidate the cache for the entire XIP address space.
void | xip_cache_invalidate_range (uintptr_t start_offset, uintptr_t size_bytes)
| Invalidate a range of offsets within the XIP address space.
static void | xip_cache_clean_all (void)
static void | xip_cache_clean_range (uintptr_t start_offset, uintptr_t size_bytes)